//+------------------------------------------------------------------+
//|                                                  2DiffOrders.mq4 |
//|                      Copyright  2008, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2008, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
extern double lots=0.1;
extern int SL_in_pips;
extern int TP_in_pips;
int x2;
double SLbuy,SLsell,TPbuy,TPsell;
int init()
  {
//----


if(SL_in_pips<=MarketInfo(Symbol(),MODE_STOPLEVEL) && SL_in_pips>0)
   {
   SL_in_pips=MarketInfo(Symbol(),MODE_STOPLEVEL);
   Alert("Stoploss      .    ",MarketInfo(Symbol(),MODE_STOPLEVEL),"pt.");
   }
      
if(TP_in_pips<=MarketInfo(Symbol(),MODE_STOPLEVEL) && TP_in_pips>0)
   {
   TP_in_pips=MarketInfo(Symbol(),MODE_STOPLEVEL);
   Alert("Takeprofit      .    ",MarketInfo(Symbol(),MODE_STOPLEVEL),"pt.");
   }

   
SLbuy=Bid-Point*SL_in_pips;
   if(SL_in_pips==0)
      SLbuy=0;
   
SLsell=Ask+Point*SL_in_pips;
   if(SL_in_pips==0)
      SLsell=0;
      
TPbuy=Bid+Point*TP_in_pips;
   if(TP_in_pips==0)
      TPbuy=0;
      
TPsell=Bid-Point*TP_in_pips;
   if(TP_in_pips==0)
      TPsell=0;  
      
x2=1; 
while(x2!=0)
   {   
if(OrderSend(Symbol(),0,lots,Ask,2,SLbuy,TPbuy,0)!=-1)
   {
   Alert("  BUY  ");
   OrderSend(Symbol(),1,lots,Bid,2,SLsell,TPsell,0);
   x2=GetLastError();
      if(x2==0)
         Alert("  SELL  ");
      if(x2!=0)
         Alert("  SELL  .  : ",x2);
   }else
      {
      x2=GetLastError();
      if(x2!=0)
         Alert("  BUY  .  : ",x2);
      }
   }
   

   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+